---
title: "List all projects - Xata"
description: "Retrieves a list of all projects within the specified organization that the authenticated user has access to."
source: "https://xata.io/docs/api-reference/projects/list-all-projects"
---

Skip to main content

GET

/

organizations

/

{organizationID}

/

projects

List all projects

```
curl --request GET
  --url https://api.xata.tech/organizations/{organizationID}/projects
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.xata.tech/organizations/{organizationID}/projects"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.xata.tech/organizations/{organizationID}/projects', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

```
{
  "projects": [
    {
      "id": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "configuration": {
        "scaleToZero": {
          "baseBranches": {
            "enabled": true,
            "inactivityPeriodMinutes": 30
          },
          "childBranches": {
            "enabled": true,
            "inactivityPeriodMinutes": 30
          }
        },
        "ipFiltering": {
          "enabled": true,
          "cidr": [
            {
              "cidr": "<string>",
              "description": "<string>"
            }
          ]
        }
      }
    }
  ]
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

#### Authorizations

​

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Path Parameters

​

organizationID

string

required

Unique identifier of the organization to list projects from

Pattern: `[a-zA-Z0-9_-~:]+`

#### Response

A list of projects within the organization

​

projects

object\[]

required

Array of project objects with their metadata

Show child attributes

Was this page helpful?

[Previous](/docs/api-reference/projects/get-project-resource-limits)

[Create a new project](/docs/api-reference/projects/create-a-new-project)

[Next](/docs/api-reference/projects/create-a-new-project)
